#ifndef CELESTIALOBJECT_H_INCLUDED
#define CELESTIALOBJECT_H_INCLUDED

#include "Observer.h"

class CelestialObject {
    Time *rightAscension;
    Degrees90 *declination;
    Observer *observer;
    string name;
    // Internal
    Time *hourAngle;
    // Output (horitzontal coordinates):
    Degrees360 *azimuth;
    Degrees360 *americanAzimuth;
    Degrees90 *altitude;
    Time *timeOfCulmination;
    string magnitude; // One extra column: Magnitud

    public:
        CelestialObject(string name, Time *rightAscension, Degrees90 *declination, string magnitude, Observer *observer);
        void recalculateHorizontalCoordinates();
        Degrees360 *getAzimuth();
        Degrees90 *getAltitude();
        Time *getRightAscension();
        Degrees90 *getDeclination();
        Time *getTimeOfCulmination();
        string getName();
        string getMagnitude();
};

#endif // CELESTIALOBJECT_H_INCLUDED
