#ifndef _Coordenates_h_included_
#define _Coordenates_h_included_

#include <exception>
#include <cmath>

#define PI 3.14159265

using namespace std;

class BadFormat: public exception {
    virtual const char* what() const throw() {
        return ("Out of range time/date/degrees format");
    }
};


class Coordenates {
    protected:
        int hour, min;
        float sec;
        float c;    // Composed number
    public:
        Coordenates(int, int, float);
        Coordenates(float c);
        int getHour();
        int getMinutes();
        float getSeconds();
        float getC();
        virtual float getCInDegrees() = 0;
        virtual float getCInRadians() = 0;
};

class Time : public Coordenates {
    public:
        Time(int, int, float);
        Time(float c);
        float getCInDegrees();
        float getCInRadians();
};

class Degrees : public Coordenates {
    public:
        Degrees(int hour, int min, float sec) : Coordenates(hour, min, sec) {};
        Degrees(float c) : Coordenates(c) {};
        float getCInTimeUnits();
        float getCInDegrees();
        float getCInRadians();
};

class Degrees360 : public Degrees {
    public:
        Degrees360(int h, int m, float s);
        Degrees360(float d);
};

class Degrees90 : public Degrees {
    bool negativeZero;
    public:
        Degrees90(int h, int m, float s, bool negativeZero = false);
        Degrees90(float d);
        bool getNegativeZero();
};

class Date {
    int day, month, year;
    public:
        Date(int, int, int);
        int getDay();
        int getMonth();
        int getYear();
};

#endif
