#ifndef _Observer_h_included_
#define _Observer_h_included_

#include <iostream>
#include <exception>
#include "Coordinates.h"

using namespace std;


class Observer {
    // Place
    Degrees90 *latitude;
    Time *longitude;
    // Time
    Time *time;
    Time *siderealTime; // at 0h Greenwich
    Date *date;
    // Internal
    Time *localSiderealTime;

    void calculateST();
    void calculateLST();

    public:
        Observer(Degrees90 *latitude, Time *longitude, Time *time, Time *siderealTime, Date *date);
        Observer(Degrees90 *latitude, Time *longitude, Time *time, Date *date); // Extra: Calculates siderial time from date
        void resetTime(Time *time);
        void resetTime(Time *time, Time *siderealTime);
        Time *getLocalSiderealTime();
        Time *getSiderealTime();
        Time *getLongitude();
        Degrees90 *getLatitude();
};

#endif
