#!/usr/bin/gnuplot
set yrange [-90:90]
set xrange [0:24]
set xtics 1
set ytics 10
set grid
set xlabel 'Universal time'
set ylabel 'Altitude'
set key top left
set key box
set rmargin 10
set lmargin 10
set title "QSO_01"
set terminal png size 800, 600
set output "QSO_01.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 12.2653,90 to 12.2653,-90 ls 8
set label " Culmination\n hour"  at first  12.2653, first 70 textcolor lt 8
plot "QSO_01.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_02"
set terminal png size 800, 600
set output "QSO_02.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 12.9273,90 to 12.9273,-90 ls 8
set label " Culmination\n hour"  at first  12.9273, first 70 textcolor lt 8
plot "QSO_02.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_03"
set terminal png size 800, 600
set output "QSO_03.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 15.2469,90 to 15.2469,-90 ls 8
set label " Culmination\n hour"  at first  15.2469, first 70 textcolor lt 8
plot "QSO_03.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_04"
set terminal png size 800, 600
set output "QSO_04.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 16.3361,90 to 16.3361,-90 ls 8
set label " Culmination\n hour"  at first  16.3361, first 70 textcolor lt 8
plot "QSO_04.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_05"
set terminal png size 800, 600
set output "QSO_05.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 18.8459,90 to 18.8459,-90 ls 8
set label " Culmination\n hour"  at first  18.8459, first 70 textcolor lt 8
plot "QSO_05.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_06"
set terminal png size 800, 600
set output "QSO_06.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 21.3248,90 to 21.3248,-90 ls 8
set label " Culmination\n hour"  at first  21.3248, first 70 textcolor lt 8
plot "QSO_06.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_07"
set terminal png size 800, 600
set output "QSO_07.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 23.0928,90 to 23.0928,-90 ls 8
set label " Culmination\n hour"  at first  23.0928, first 70 textcolor lt 8
plot "QSO_07.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_08"
set terminal png size 800, 600
set output "QSO_08.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 23.5428,90 to 23.5428,-90 ls 8
set label " Culmination\n hour"  at first  23.5428, first 70 textcolor lt 8
plot "QSO_08.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_09"
set terminal png size 800, 600
set output "QSO_09.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 0.123711,90 to 0.123711,-90 ls 8
set label " Culmination\n hour"  at first  0.123711, first 70 textcolor lt 8
plot "QSO_09.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_10"
set terminal png size 800, 600
set output "QSO_10.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 0.115234,90 to 0.115234,-90 ls 8
set label " Culmination\n hour"  at first  0.115234, first 70 textcolor lt 8
plot "QSO_10.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_11"
set terminal png size 800, 600
set output "QSO_11.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 3.31234,90 to 3.31234,-90 ls 8
set label " Culmination\n hour"  at first  3.31234, first 70 textcolor lt 8
plot "QSO_11.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_12"
set terminal png size 800, 600
set output "QSO_12.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 5.08333,90 to 5.08333,-90 ls 8
set label " Culmination\n hour"  at first  5.08333, first 70 textcolor lt 8
plot "QSO_12.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_13"
set terminal png size 800, 600
set output "QSO_13.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 8.19323,90 to 8.19323,-90 ls 8
set label " Culmination\n hour"  at first  8.19323, first 70 textcolor lt 8
plot "QSO_13.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_14"
set terminal png size 800, 600
set output "QSO_14.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 9.47849,90 to 9.47849,-90 ls 8
set label " Culmination\n hour"  at first  9.47849, first 70 textcolor lt 8
plot "QSO_14.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_15"
set terminal png size 800, 600
set output "QSO_15.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 17.0768,90 to 17.0768,-90 ls 8
set label " Culmination\n hour"  at first  17.0768, first 70 textcolor lt 8
plot "QSO_15.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_16"
set terminal png size 800, 600
set output "QSO_16.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 19.9179,90 to 19.9179,-90 ls 8
set label " Culmination\n hour"  at first  19.9179, first 70 textcolor lt 8
plot "QSO_16.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_17"
set terminal png size 800, 600
set output "QSO_17.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 20.411,90 to 20.411,-90 ls 8
set label " Culmination\n hour"  at first  20.411, first 70 textcolor lt 8
plot "QSO_17.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_18"
set terminal png size 800, 600
set output "QSO_18.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 23.1211,90 to 23.1211,-90 ls 8
set label " Culmination\n hour"  at first  23.1211, first 70 textcolor lt 8
plot "QSO_18.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_19"
set terminal png size 800, 600
set output "QSO_19.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 0.791964,90 to 0.791964,-90 ls 8
set label " Culmination\n hour"  at first  0.791964, first 70 textcolor lt 8
plot "QSO_19.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_20"
set terminal png size 800, 600
set output "QSO_20.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 3.44791,90 to 3.44791,-90 ls 8
set label " Culmination\n hour"  at first  3.44791, first 70 textcolor lt 8
plot "QSO_20.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_21"
set terminal png size 800, 600
set output "QSO_21.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 3.93522,90 to 3.93522,-90 ls 8
set label " Culmination\n hour"  at first  3.93522, first 70 textcolor lt 8
plot "QSO_21.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "QSO_22"
set terminal png size 800, 600
set output "QSO_22.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 6.71721,90 to 6.71721,-90 ls 8
set label " Culmination\n hour"  at first  6.71721, first 70 textcolor lt 8
plot "QSO_22.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "Calibrador_1"
set terminal png size 800, 600
set output "Calibrador_1.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 12.2653,90 to 12.2653,-90 ls 8
set label " Culmination\n hour"  at first  12.2653, first 70 textcolor lt 8
plot "Calibrador_1.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "Calibrador_2"
set terminal png size 800, 600
set output "Calibrador_2.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 16.3361,90 to 16.3361,-90 ls 8
set label " Culmination\n hour"  at first  16.3361, first 70 textcolor lt 8
plot "Calibrador_2.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "Calibrador_3"
set terminal png size 800, 600
set output "Calibrador_3.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 15.9798,90 to 15.9798,-90 ls 8
set label " Culmination\n hour"  at first  15.9798, first 70 textcolor lt 8
plot "Calibrador_3.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "Calibrador_4"
set terminal png size 800, 600
set output "Calibrador_4.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 17.0768,90 to 17.0768,-90 ls 8
set label " Culmination\n hour"  at first  17.0768, first 70 textcolor lt 8
plot "Calibrador_4.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "Calibrador_5"
set terminal png size 800, 600
set output "Calibrador_5.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 0.123711,90 to 0.123711,-90 ls 8
set label " Culmination\n hour"  at first  0.123711, first 70 textcolor lt 8
plot "Calibrador_5.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "Calibrador_6"
set terminal png size 800, 600
set output "Calibrador_6.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 0.791964,90 to 0.791964,-90 ls 8
set label " Culmination\n hour"  at first  0.791964, first 70 textcolor lt 8
plot "Calibrador_6.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "HII_1"
set terminal png size 800, 600
set output "HII_1.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 16.2146,90 to 16.2146,-90 ls 8
set label " Culmination\n hour"  at first  16.2146, first 70 textcolor lt 8
plot "HII_1.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "HII_2"
set terminal png size 800, 600
set output "HII_2.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 4.63212,90 to 4.63212,-90 ls 8
set label " Culmination\n hour"  at first  4.63212, first 70 textcolor lt 8
plot "HII_2.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "HII_3"
set terminal png size 800, 600
set output "HII_3.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 4.65262,90 to 4.65262,-90 ls 8
set label " Culmination\n hour"  at first  4.65262, first 70 textcolor lt 8
plot "HII_3.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "HII_4"
set terminal png size 800, 600
set output "HII_4.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 7.23557,90 to 7.23557,-90 ls 8
set label " Culmination\n hour"  at first  7.23557, first 70 textcolor lt 8
plot "HII_4.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "PN_1"
set terminal png size 800, 600
set output "PN_1.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 18.5982,90 to 18.5982,-90 ls 8
set label " Culmination\n hour"  at first  18.5982, first 70 textcolor lt 8
plot "PN_1.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "PN_2"
set terminal png size 800, 600
set output "PN_2.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 6.58039,90 to 6.58039,-90 ls 8
set label " Culmination\n hour"  at first  6.58039, first 70 textcolor lt 8
plot "PN_2.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "PN_3"
set terminal png size 800, 600
set output "PN_3.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 7.70108,90 to 7.70108,-90 ls 8
set label " Culmination\n hour"  at first  7.70108, first 70 textcolor lt 8
plot "PN_3.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_01"
set terminal png size 800, 600
set output "SN_01.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 11.0642,90 to 11.0642,-90 ls 8
set label " Culmination\n hour"  at first  11.0642, first 70 textcolor lt 8
plot "SN_01.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_02"
set terminal png size 800, 600
set output "SN_02.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 12.73,90 to 12.73,-90 ls 8
set label " Culmination\n hour"  at first  12.73, first 70 textcolor lt 8
plot "SN_02.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_03"
set terminal png size 800, 600
set output "SN_03.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 15.6396,90 to 15.6396,-90 ls 8
set label " Culmination\n hour"  at first  15.6396, first 70 textcolor lt 8
plot "SN_03.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_04"
set terminal png size 800, 600
set output "SN_04.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 16.2016,90 to 16.2016,-90 ls 8
set label " Culmination\n hour"  at first  16.2016, first 70 textcolor lt 8
plot "SN_04.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_05"
set terminal png size 800, 600
set output "SN_05.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 16.9182,90 to 16.9182,-90 ls 8
set label " Culmination\n hour"  at first  16.9182, first 70 textcolor lt 8
plot "SN_05.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_06"
set terminal png size 800, 600
set output "SN_06.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 18.9858,90 to 18.9858,-90 ls 8
set label " Culmination\n hour"  at first  18.9858, first 70 textcolor lt 8
plot "SN_06.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_07"
set terminal png size 800, 600
set output "SN_07.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 4.10512,90 to 4.10512,-90 ls 8
set label " Culmination\n hour"  at first  4.10512, first 70 textcolor lt 8
plot "SN_07.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_08"
set terminal png size 800, 600
set output "SN_08.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 5.16319,90 to 5.16319,-90 ls 8
set label " Culmination\n hour"  at first  5.16319, first 70 textcolor lt 8
plot "SN_08.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_09"
set terminal png size 800, 600
set output "SN_09.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 5.52609,90 to 5.52609,-90 ls 8
set label " Culmination\n hour"  at first  5.52609, first 70 textcolor lt 8
plot "SN_09.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_10"
set terminal png size 800, 600
set output "SN_10.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 7.34411,90 to 7.34411,-90 ls 8
set label " Culmination\n hour"  at first  7.34411, first 70 textcolor lt 8
plot "SN_10.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_11"
set terminal png size 800, 600
set output "SN_11.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 7.44453,90 to 7.44453,-90 ls 8
set label " Culmination\n hour"  at first  7.44453, first 70 textcolor lt 8
plot "SN_11.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
set title "SN_12"
set terminal png size 800, 600
set output "SN_12.png"
set arrow from 12,90 to 12,-90 
set label " Observation\n hour"  at first  12, first -70
set arrow from 9.96748,90 to 9.96748,-90 ls 8
set label " Culmination\n hour"  at first  9.96748, first 70 textcolor lt 8
plot "SN_12.dat" using 1:2 with line title 'Motion', 0 title 'Skyline'
unset label
unset arrow
